<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">

<!-- ~/.fonts.conf for per-user font configuration. See "man 5 fonts-conf". -->

<fontconfig>
  <!-- Private font directory -->
  <dir>~/.fonts</dir>

  <!-- My all displays are LCD and with RGB pattern.  -->
  <match target="pattern">
    <test qual="all" name="rgba">
      <const>unknown</const>
    </test>
    <edit mode="assign" name="rgba">
      <const>rgb</const>
    </edit>
  </match>

  <!-- Disable anti-aliasing for small fonts. -->
  <match target="pattern">
    <test name="size" compare="less">
      <double>10</double>
    </test>
    <edit name="antialias" mode="assign">
      <bool>false</bool>
    </edit>
  </match>

  <!-- Enable hinting for all fonts! -->
  <match target="pattern">
    <edit mode="assign" name="hinting">
      <bool>true</bool>
    </edit>
    <edit mode="assign" name="hintstyle">
      <const>hintslight</const>
    </edit>
  </match>

  <match target="font">
    <edit mode="assign" name="lcdfilter">
      <const>lcddefault</const>
    </edit>
  </match>
</fontconfig>

